/// <reference types="./phaser" />
import PlayScene from "../scenes/PlayScene";
export declare class Player extends Phaser.Physics.Arcade.Sprite {
    scene: PlayScene;
    hitSound: Phaser.Sound.BaseSound | undefined;
    canMoveDown: boolean;
    canMoveUp: boolean;
    private pointerPressThreshold;
    private lastStartTrigger;
    constructor(scene: PlayScene);
    init(): void;
    positionOnSky(): void;
    scaleToFit(): void;
    getStartTrigger(): "click" | "release" | null;
    private getManualTrigger;
    private manualPressJustStarted;
    actionDecider(button: "click" | "release" | null): void;
    moveUp(state?: "click" | "release"): Promise<void>;
    moveDown(state?: "click" | "release"): Promise<void>;
    isOffScreen(): boolean;
    update(): void;
    registerSounds(): void;
    die(): void;
    cleanup(): void;
}
